LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
List of all members
PackageEncryption Service Reference

`import <PackageEncryption.idl;`

Inheritance diagram for PackageEncryption:

## Additional Inherited Members
Public Member Functions inherited from XPackageEncryption
boolean | readEncryptionInfo ([in] sequence< com::sun::star::beans::NamedValue > rStreams)
| Read package crypto information.
boolean | generateEncryptionKey ([in] string rPassword)
| Set or refresh encryption key.
boolean | decrypt ([in] com::sun::star::io::XInputStream rxInputStream, [out] com::sun::star::io::XOutputStream rxOutputStream)
| Decrypt document content.
sequence< com::sun::star::beans::NamedValue > | createEncryptionData ([in] string rPassword)
| Create key-value list of encryption meta data.
boolean | setupEncryption ([in] sequence< com::sun::star::beans::NamedValue > rMediaEncData)
| Set key-value list of encryption meta data.
sequence< com::sun::star::beans::NamedValue > | encrypt ([in] com::sun::star::io::XInputStream rxInputStream)
| Encrypt given stream.
boolean | checkDataIntegrity ()
| Check if decryption meta data is valid.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

The documentation for this service was generated from the following file:

- com/sun/star/packages/PackageEncryption.idl